%global pkgname openmath

# We need gap-pkg-scscp to build documentation, but it needs this package to
# function at all.  Therefore, build without this to bootstrap on a new
# architecture.
%bcond_with scscp

Name:           gap-pkg-%{pkgname}
Version:        11.3.1
Release:        1%{?dist}
Summary:        Import and export of OpenMath objects for GAP

License:        GPLv2+
URL:            https://alexk.host.cs.st-andrews.ac.uk/openmath/
Source0:        http://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/%{pkgname}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  gap-pkg-io
%if %{with scscp}
BuildRequires:  gap-pkg-scscp
%endif

Requires:       gap-core
Requires:       gap-pkg-io

%description
This package provides an OpenMath phrasebook for GAP.  It allows GAP
users to import and export mathematical objects encoded in OpenMath, for
the purpose of exchanging them with other OpenMath-enabled applications.
For details about the OpenMath encoding, see http://www.openmath.org/.

%prep
%setup -q -n %{pkgname}

%build
# Link to main GAP documentation
ln -s %{_gap_dir}/doc ../../doc
mkdir ../pkg
ln -s ../%{pkgname} ../pkg/%{pkgname}
gap -l "$PWD/..;%{_gap_dir}" << EOF
ReadPackage("openmath", "/gap/buildman.g");
OPENMATHBuildManual();
EOF
rm -fr ../../doc ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{CHANGES,examples,GPL,README}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,toc}

%check
cd tst
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" testall.g < /dev/null \
    2>&1 | tee log
grep -Fvq 'Errors detected' log
rm -f log

%files
%doc CHANGES examples README
%license GPL
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%docdir %{_gap_dir}/pkg/%{pkgname}/htm
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Thu Apr 21 2016 Jerry James <loganjerry@gmail.com> - 11.3.1-1
- Initial RPM
